version: "2.0"

services:

  #  typescript application configuration

  typescript-backend:
    image: node:18-alpine
    container_name: typescript-backend
    restart: unless-stopped
    ports:
      - 5001:5001
    volumes:
      - UPDATE_PATH:/app
    working_dir: /app
    command: sh -c "yarn install &&  yarn start:dev"

  db:
    image: mysql:5.7
    container_name: db
    volumes:
      - UPDATE_PATH:/var/lib/mysql
    environment:
      - MYSQL_ROOT_PASSWORD=your-password
    restart: unless-stopped
    
  adminer:
      image: adminer
      restart: always
      ports:
        - 82:8080
        
  redis:
      image: redis:6.2
      container_name: redis
      restart: unless-stopped
      volumes:
          -  UPDATE_PATH:/data
